Name:          ruby-kramdown-parser-gfm
Version:       1.1.0
Release:       1mamba
Summary:       A kramdown parser for the GFM dialect of Markdown
Group:         System/Libraries/Ruby
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/kramdown/parser-gfm
Source:        https://rubygems.org/gems/kramdown-parser-gfm-%{version}.gem
Patch0:        ruby-kramdown-parser-gfm-1.1.0-ruby-kramdown-2.4.0.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel
Requires:      ruby
Requires:      ruby-kramdown

%description
kramdown-parser-gfm provides a kramdown parser for the GFM dialect of Markdown.

#% debug_package

%prep
%setup -q -c
cd kramdown-parser-gfm-%{version}
%patch 0 -p1 -b .ruby-kramdown-2.4.0

%build
cd kramdown-parser-gfm-%{version}
gem build ../kramdown-parser-gfm-%{version}.gemspec

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd kramdown-parser-gfm-%{version}

gemdir="$(ruby -rrubygems -e'puts Gem.default_dir')"

gem install --no-user-install --ignore-dependencies -i "%{buildroot}$gemdir" -n "%{buildroot}/usr/bin" %{SOURCE0}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/ruby/gems/*/cache/kramdown-parser-gfm-1.1.0.gem
%dir %{_libdir}/ruby/gems/*/gems/kramdown-parser-gfm-%{version}
%{_libdir}/ruby/gems/*/gems/kramdown-parser-gfm-%{version}/*
%dir %{_libdir}/ruby/gems/*/doc/kramdown-parser-gfm-%{version}
%{_libdir}/ruby/gems/*/doc/kramdown-parser-gfm-%{version}/*
%{_libdir}/ruby/gems/*/specifications/kramdown-parser-gfm-1.1.0.gemspec
%doc kramdown-parser-gfm-%{version}/COPYING

%changelog
* Fri Jun 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- package created using the webbuild interface
